Description

The one channel ADC on the v1 board is replaced by a four channel one on the v2 board.

Modify the implementation to support this

History

#1 - 05/08/2017 10:08 PM - foft

- Status changed from New to In Progress

Written initial support based on data sheet and simulated. Not yet built into test core or tried on real hardware.

So far all four channels sampled, but only SIO input connected to core.

#2 - 05/08/2017 10:09 PM - foft

- Tracker changed from Bug to Feature

#3 - 05/08/2017 10:09 PM - foft

- Assignee set to foft

#4 - 05/11/2017 08:27 PM - foft

- File adc084s051.pdf added

Attached ADC data sheet

#5 - 05/18/2017 06:56 AM - foft

Now I have the board its clear this needs debugging.

#6 - 05/18/2017 09:00 PM - foft

Debugged and now working.

PBI and SIO audio will be mixed. For now I'm not feeding MIC_L and MIC_R anywhere - these will be connected to some sampler register. I guess

D500 and D501 if the 'replay cartrige mode' is enabled.

#7 - 05/18/2017 11:01 PM - foft

Sigh, it definitely works but if I read say channel 1 - I still receive input from the other channels

#8 - 05/20/2017 10:35 PM - foft

Pretty sure this is down to floating inputs. Since there is no driver and low capacitance the input picks up the previous sample stored in the ADC. I

checked this out by trying two approaches:

i) Sample a single channel and checking for no crosstalk

ii) Grounding the floating inputs and checking nothing sampled

I also tried out deselecting ADC between frames in case that helped. It didn't, just decreased the same rate a little!

#9 - 05/20/2017 10:36 PM - foft

So I guess we should have some more passive components here. On the other hand I'm kind of attached to SIO noise down to cable interference. If

we fix this too well we may lose that!
#10 - 05/30/2017 07:00 PM - foft

- Status changed from In Progress to Closed

Closing since the core support is in place. Noise reduction and sampler connection may be raised as future feature requests.

Files

adc084s051.pdf 1.27 MB 05/11/2017 foft
